org.springframework.jms.support

## Interface JmsHeaders

    public interface JmsHeaders

Pre-defined names and prefixes to be used for setting and/or retrieving JMS attributes from/to generic message headers.

Since:
  4.1
Author:
  Mark Fisher, Stephane Nicoll

### Field Summary

Fields
`static String` `CORRELATION_ID` Correlation ID for the message.
`static String` `DELIVERY_MODE` Distribution mode.
`static String` `DESTINATION` Name of the destination (topic or queue) of the message.
`static String` `EXPIRATION` Message expiration date and time.
`static String` `MESSAGE_ID` Unique identifier for a message.
`static String` `PREFIX` Prefix used for JMS API related headers in order to distinguish from user-defined headers and other internal headers (e.g.
`static String` `PRIORITY` The message priority level.
`static String` `REDELIVERED` Specify if the message was resent.
`static String` `REPLY_TO` Name of the destination (topic or queue) the message replies should be sent to.
`static String` `TIMESTAMP` Date and time of the message sending operation.
`static String` `TYPE` Message type label.

### Field Detail

#### PREFIX

    static final String PREFIX

Prefix used for JMS API related headers in order to distinguish from user-defined headers and other internal headers (e.g. correlationId).

See Also:
  `SimpleJmsHeaderMapper`, Constant Field Values

#### CORRELATION_ID

    static final String CORRELATION_ID

Correlation ID for the message. This may be the `MESSAGE_ID` of the message that this message replies to. It may also be an application-specific identifier.

See Also:
  `Message.getJMSCorrelationID()`, Constant Field Values

#### DESTINATION

    static final String DESTINATION

Name of the destination (topic or queue) of the message.

Read-only value.

See Also:
  `Message.getJMSDestination()`, `Destination`, `Queue`, `Topic`, Constant Field Values

#### DELIVERY_MODE

    static final String DELIVERY_MODE

Distribution mode.

Read-only value.

See Also:
  `Message.getJMSDeliveryMode()`, `DeliveryMode`, Constant Field Values

#### EXPIRATION

    static final String EXPIRATION

Message expiration date and time.

Read-only value.

See Also:
  `Message.getJMSExpiration()`, Constant Field Values

#### MESSAGE_ID

    static final String MESSAGE_ID

Unique identifier for a message.

Read-only value.

See Also:
  `Message.getJMSMessageID()`, Constant Field Values

#### PRIORITY

    static final String PRIORITY

The message priority level.

Read-only value.

See Also:
  `Message.getJMSPriority()`, Constant Field Values

#### REPLY_TO

    static final String REPLY_TO

Name of the destination (topic or queue) the message replies should be sent to.

See Also:
  `Message.getJMSReplyTo()`, Constant Field Values

#### REDELIVERED

    static final String REDELIVERED

Specify if the message was resent. This occurs when a message consumer fails to acknowledge the message reception.

Read-only value.

See Also:
  `Message.getJMSRedelivered()`, Constant Field Values

#### TYPE

    static final String TYPE

Message type label. This type is a string value describing the message in a functional manner.

See Also:
  `Message.getJMSType()`, Constant Field Values

#### TIMESTAMP

    static final String TIMESTAMP

Date and time of the message sending operation.

Read-only value.

See Also:
  `Message.getJMSTimestamp()`, Constant Field Values